#ifndef COPYIO_H
#define COPYIO_H

#include <QSqlQuery>
#include <QStandardItemModel>
#include <QSqlTableModel>
#include <QSqlError>
#include <QSqlDatabase>

class CopyIO : public QObject {
    Q_OBJECT
    public:
        CopyIO(QObject * object = 0);
        ~CopyIO();
        QStandardItemModel *modelAccordingToText(QString text);
        bool addToDatabase(const QString & text);
        bool deleteFromDatabase(const QString & text);
               
    private:
        QObject * m_object;
        QSqlDatabase m_db;
};

#endif

